KCAPI_MD_SETKEY(3)

NAME
kcapi_md_setkey - set the key for the message digest handle

SYNOPSIS

int kcapi_md_setkey(struct kcapi_handle * handle, const uint8_t * key, uint32_t keylen);

ARGUMENTS

handle
    [in] cipher handle

key
    [in] key buffer

keylen
    [in] length of key buffer

DESCRIPTION

With this function, the caller sets the key for subsequent hashing operations. This call is applicable for keyed message digests.

After the caller provided the key, the caller may securely destroy the key as it is now maintained by the kernel.

return 0 upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT